Subject: Re: bug#57015: 29.0.50; macOS: libgccjit was not found: Homebrew libgccjit 12.1.0

From: Stefan Kangas <[email-masked]>
Date: Sun, 7 Aug 2022 04:57:57 -0500

Eli Zaretskii <[email-masked]> writes:

> Is it really a problem to use only libgccjit 12.0 and older for the
> release branch?

I'm afraid that it's a serious problem.

Homebrew has an eager upgrade policy akin to a rolling release
distribution.  AFAIU, every macOS user running Homebrew will be unable
to build Emacs after having run "brew upgrade", which many users do
routinely.

See:

    https://formulae.brew.sh/formula/libgccjit#default

[I unfortunately don't use an up-to-date Homebrew on my macOS machine so
I can't help test any solution.]